> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone a page

> Clone an existing page. All page fields can be overridden via the POST body.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json POST /content/api/v2/pages/{page_id}/clone
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/clone:
    post:
      tags:
        - Pages
      summary: Clone a page
      description: >-
        Clone an existing page. All page fields can be overridden via the POST
        body.
      operationId: clonePage
      parameters:
        - name: page_id
          in: path
          description: The ID of the page to clone
          required: true
          schema:
            type: string
      requestBody:
        description: Page fields to override in the cloned page
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the cloned page
                slug:
                  type: string
                  description: URL slug for the cloned page
            examples:
              clone_page:
                summary: Clone a page with new name and slug
                value:
                  name: Cloned Industry Page
                  slug: industry-cloned
      responses:
        '200':
          description: Cloned page details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: Page ID
                  name:
                    type: string
                    description: Page name
                  slug:
                    type: string
                    description: Page URL slug
                  cloned_from:
                    type: integer
                    description: ID of the original page that was cloned
                  current_state:
                    type: string
                    description: Current page state
                  url:
                    type: string
                    description: Full URL of the page
              examples:
                cloned_page_response:
                  summary: Response after cloning a page
                  value:
                    ab: false
                    ab_variation: false
                    absolute_url: http://demo-hubapi.hs-sites.com/industry-0
                    analytics_page_id: '7623391699'
                    analytics_page_type: standard-page
                    archived: false
                    attached_stylesheets: []
                    author_at: 1550261521535
                    blueprint_type_id: 0
                    category: 1
                    category_id: 1
                    cloned_from: 7392781886
                    content_type_category: 4
                    content_type_category_id: 4
                    created: 1550261521535
                    created_time: 1550261521535
                    css: {}
                    css_text: ''
                    ctas: null
                    current_state: DRAFT
                    currently_published: false
                    deleted_at: 0
                    domain: ''
                    dynamic_page_hub_db_table_id: 1035860
                    featured_image: ''
                    featured_image_alt_text: ''
                    featured_image_height: 0
                    featured_image_length: 0
                    featured_image_width: 0
                    flex_areas: {}
                    freeze_date: 1550261521535
                    has_user_changes: true
                    html_title: Industry
                    id: 7623391699
                    is_draft: true
                    is_published: false
                    keywords: []
                    label: Industry
                    landing_page: false
                    layout_sections: {}
                    live_domain: demo-hubapi.hs-sites.com
                    mab: false
                    mab_master: false
                    mab_variant: false
                    meta_description: Industry
                    name: Industry
                    page_expiry_enabled: false
                    page_redirected: false
                    page_title: Industry
                    personas: []
                    placement_guids: []
                    portal_id: 62515
                    preview_key: rYIXcFCA
                    processing_status: UNDEFINED
                    public_access_rules: []
                    public_access_rules_enabled: false
                    publish_date: 0
                    publish_date_local_time: 0
                    published_by_email: testapi@hubspot.com
                    published_by_name: Krishna Tester
                    published_url: ''
                    resolved_domain: demo-hubapi.hs-sites.com
                    site_page: true
                    slug: industry-0
                    state: DRAFT
                    subcategory: site_page
                    team_perms: []
                    template_path: generated_layouts/7392754667.html
                    template_path_for_render: generated_layouts/7392754667.html
                    title: Industry
                    translated_content: {}
                    tweet_immediately: false
                    unpublished_at: 0
                    updated: 1550261521535
                    upsize_featured_image: false
                    url: http://demo-hubapi.hs-sites.com/industry-0
                    use_featured_image: false
                    user_perms: []
                    widget_containers: {}
                    widgetcontainers: {}
                    widgets:
                      module_154919216514676:
                        body:
                          definition_id: null
                          field_types: {}
                          module_id: 5896933
                          per_widget_wrapper_html: ''
                          smart_objects: null
                          smart_type: NOT_SMART
                          tag: module
                          type: module
                          widget_name: industry module
                          wrap_field_tag: div
                          wrapping_html: ''
                        child_css: {}
                        css: {}
                        id: module_154919216514676
                        label: industry module
                        module_id: 5896933
                        name: module_154919216514676
                        order: 0
                        smart_type: null
                        type: module

````